business_object_operations-demo
Flows created using the Siebel Business Objects.

Installation and Usage

Import the demo project into your workspace Fill in all the values in /main/app/mule-app.properties and add the location of
your Siebel jars in the global configuration

Run the project in Studio.

The project contains 6 simple flows that show how to use 6 basic operations for Siebel:

1.siebel_query_flow: This query returns the name and description for all accounts.
The HTTP endpoint listens to the following URL: http://localhost:8081/query

2.siebel_query_flow_nr_records: This query returns the name and description for a number of records
The HTTP endpoint listens to the following URL: http://localhost:8081/queryLimitRecords

3.siebel_update_flow: The mapping for the input DataMapper has been done using update_account.json that can be found in the resource folder of the project. 
The update_account.json needs to be updated with the values you want to be updated on the object. The HTTP endpoint listens to the following URL: http://localhost:8081/update 
Manually input in search spec some fields of the object you are looking to update with their respective values.
To run the flow successfully and create an account, POST the content of update_account.json to the URL listed above 

4.siebel_delete_flow: In the connector, at required Id put a valid Id for a business object either from payload or define it manually. You can send the id via a json file for example
The HTTP endpoint listens to the following URL:http://localhost:8081/delete


5.siebel_createFlow: The mapping for the input DataMapper has been done using create_account.json that can be found in the resource folder of the project.
Make sure the object you wish to create doesn't already exist. The create_account.json needs to be updated with new information. 
The HTTP endpoint listens to the following URL: http://localhost:8081/create To run the flow successfully and create an account POST the content of create_account.json to the URL listed above.



You can POST the JSONs using a tool like curl, or any other tool (Chrome/Mozilla Firefox extensions) that lets you POST a body when calling the URL.
